# Interface WindowInterface

interface WindowInterface {
fetch: <T>(url: string, init?: RequestInit) => FetchReturnType<T>;
getBackendUrl: () => Promise<string>;
tooManyRequest: () => void;
}

#### Implemented by

- WindowBrowser

- Defined in jamespot-user-api/src/window/Window.ts:4

##### Index

### Properties

fetch
getBackendUrl
tooManyRequest

## Properties

### fetch

fetch: <T>(url: string, init?: RequestInit) => FetchReturnType<T>

- Defined in jamespot-user-api/src/window/Window.ts:6

### getBackendUrl

getBackendUrl: () => Promise<string>

- Defined in jamespot-user-api/src/window/Window.ts:5

### tooManyRequest

tooManyRequest: () => void

- Defined in jamespot-user-api/src/window/Window.ts:7